<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="__version__"/>
</div>

# Module: tfp


<table class="tfo-notebook-buttons tfo-api" align="left">

<td>
  <a target="_blank" href="https://github.com/tensorflow/probability/blob/master/tensorflow_probability/__init__.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td></table>



Tools for probabilistic reasoning in TensorFlow.

<!-- Placeholder for "Used in" -->


## Modules

[`bijectors`](./tfp/bijectors.md) module: Bijective transformations.

[`debugging`](./tfp/debugging.md) module: TensorFlow Probability debugging package.

[`distributions`](./tfp/distributions.md) module: Statistical distributions.

[`edward2`](./tfp/edward2.md) module: Edward2 probabilistic programming language.

[`experimental`](./tfp/experimental.md) module: TensorFlow Probability API-unstable package.

[`glm`](./tfp/glm.md) module: TensorFlow Probability GLM python package.

[`layers`](./tfp/layers.md) module: Probabilistic Layers.

[`math`](./tfp/math.md) module: TensorFlow Probability math functions.

[`mcmc`](./tfp/mcmc.md) module: TensorFlow Probability MCMC python package.

[`monte_carlo`](./tfp/monte_carlo.md) module: Support for Monte Carlo expectations.

[`optimizer`](./tfp/optimizer.md) module: TensorFlow Probability Optimizer python package.

[`positive_semidefinite_kernels`](./tfp/positive_semidefinite_kernels.md) module: Positive-semidefinite kernels package.

[`stats`](./tfp/stats.md) module: Statistical functions.

[`sts`](./tfp/sts.md) module: Framework for Bayesian structural time series models.

[`trainable_distributions`](./tfp/trainable_distributions.md) module: Support for trainable distributions.

[`util`](./tfp/util.md) module: TensorFlow Probability python utilities.

[`vi`](./tfp/vi.md) module: Methods and objectives for variational inference.

## Other Members

* `__version__ = '0.9.0-dev'` <a id="__version__"></a>
